> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ada.cx/reference/conversations/patch-conversation-by-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ada.cx/_mcp/server. # Update a conversation PATCH https://example.ada.support/api/v2/conversations/{conversation_id}/ Content-Type: application/json Update a conversation's metadata by its ID Reference: https://docs.ada.cx/reference/conversations/patch-conversation-by-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `conversation_id` (string, required) — The ID of the conversation to update ### Body (application/json) This endpoint expects a ConversationPatchRequest. - `metadata` (map from string to ConversationPatchRequestMetadata, required) — A dictionary of key, value pairs to add to the conversation metadata additively - `metadata` keys may only be of type: `string` - `metadata` values may only be one of type: `string`, `boolean`, `integer`, or `number` (float) - `metadata` keys with a `null` value will be removed from the conversation metadata ## Response ### 200 Conversation updated - `id` (string, optional) — The ID of the conversation - `channel_id` (string, optional) — The ID of the channel - `end_user_id` (string, optional) — The ID of the end user participating in the conversation - `status` (enum, optional) — The status of the conversation - Allowed values: `active`, `ended` - `created_at` (string, optional) — The date and time the conversation was created - `updated_at` (string, optional) — The date and time the conversation was last updated - `metadata` (map from string to ConversationMetadata, optional) — A dictionary of key value pairs assigned to the conversation. Note: This metadata does not create or set Ada metavariables. To create or update metavariables, use the End Users API. - `metadata` keys may only be of type: `string` - `metadata` values may only be one of type: `string`, `boolean`, `integer`, or `number` (float) ## Errors ### 400 Bad Request Error Bad Request - `errors` (list of ErrorsErrorsItems, required) — A list of errors ### 401 Unauthorized Error Unauthorized - `errors` (list of ErrorsErrorsItems, required) — A list of errors ### 404 Not Found Error Not Found - `errors` (list of ErrorsErrorsItems, required) — A list of errors ### 429 Too Many Requests Error Too Many Requests - `errors` (list of ErrorsErrorsItems, required) — A list of errors ### 500 Internal Server Error Internal Server Error - `errors` (list of ErrorsErrorsItems, required) — A list of errors ## Types ### ConversationPatchRequestMetadata ### ConversationMetadata ### ErrorsErrorsItems - `type` (string, required) — The error type - `message` (string, required) — The error message - `details` (string, optional, nullable) — Extra information about the error ## Examples **Request** ```json { "metadata": { "pass": "example_string_value", "initial_url": "https://example.com", "locale": "en-CA", "confidence": 0.95 } } ``` **Response** ```json { "id": "5df263b7db5a7e6ea03fae9b", "channel_id": "5df263b7db5a7e6ea03fae9b", "end_user_id": "5df263b7db5a7e6ea03fae9b", "status": "active", "created_at": "2020-09-20T00:00:00+00:00", "updated_at": "2020-09-20T00:00:00+00:00", "metadata": { "pass": "example_string_value", "initial_url": "https://example.com", "locale": "en-CA", "confidence": 0.95 } } ``` **SDK Code** ```python import requests url = "https://example.ada.support/api/v2/conversations/conversation_id/" payload = { "metadata": { "pass": "example_string_value", "initial_url": "https://example.com", "locale": "en-CA", "confidence": 0.95 } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.ada.support/api/v2/conversations/conversation_id/'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"metadata":{"pass":"example_string_value","initial_url":"https://example.com","locale":"en-CA","confidence":0.95}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.ada.support/api/v2/conversations/conversation_id/" payload := strings.NewReader("{\n \"metadata\": {\n \"pass\": \"example_string_value\",\n \"initial_url\": \"https://example.com\",\n \"locale\": \"en-CA\",\n \"confidence\": 0.95\n }\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.ada.support/api/v2/conversations/conversation_id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"metadata\": {\n \"pass\": \"example_string_value\",\n \"initial_url\": \"https://example.com\",\n \"locale\": \"en-CA\",\n \"confidence\": 0.95\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://example.ada.support/api/v2/conversations/conversation_id/") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"metadata\": {\n \"pass\": \"example_string_value\",\n \"initial_url\": \"https://example.com\",\n \"locale\": \"en-CA\",\n \"confidence\": 0.95\n }\n}") .asString(); ``` ```php request('PATCH', 'https://example.ada.support/api/v2/conversations/conversation_id/', [ 'body' => '{ "metadata": { "pass": "example_string_value", "initial_url": "https://example.com", "locale": "en-CA", "confidence": 0.95 } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.ada.support/api/v2/conversations/conversation_id/"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"metadata\": {\n \"pass\": \"example_string_value\",\n \"initial_url\": \"https://example.com\",\n \"locale\": \"en-CA\",\n \"confidence\": 0.95\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["metadata": [ "pass": "example_string_value", "initial_url": "https://example.com", "locale": "en-CA", "confidence": 0.95 ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.ada.support/api/v2/conversations/conversation_id/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```